unsigned char LCD_Puffer[33];
unsigned char LCD_Zeiger;


void lcd_gotoxy(unsigned char x, unsigned char y)
{
  LCD_Zeiger = y * 16 + x;
}

void lcd_clear(void)
{             
  for (LCD_Zeiger = 0; LCD_Zeiger < 16; LCD_Zeiger++) LCD_Puffer[LCD_Zeiger] = ' ';  
  LCD_Zeiger = 0;

}

void lcd_putchar(char c)
{
  switch (c)
  {
   case 1 : c = 'N'; break;
   case 2 : c = 'T'; break;
   case 3 : c = 'A'; break;
   case 4 : c = '>'; break;   
   case 5 : c = '<'; break;
   case 0x7e : c = '>'; break;
   case 0x7f : c = '<'; break;  
   case 0xdf : c = '^'; break;     
   case 0xf5 : c = ''; break;     
   
  }
  LCD_Puffer[LCD_Zeiger] = c;
  LCD_Zeiger++;
}

void lcd_puts(char *str)
{
  while(*str != 0) { lcd_putchar(*str); str++; } 
  

}

void lcd_putsf(char flash *str)
{
 while(*str != 0) { lcd_putchar(*str); str++; }
}


void lcd_init(unsigned char lcd_columns)
{  
  lcd_clear(); 
}

